Skip to main content
PATCH
Update a Segment

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

segment_id
string
required

Segment ID

Body

Schema for updating a segment

name
string

Name of the segment

Required string length: 1 - 128
color
enum<string>

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral

Response

200 - application/json

Schema for the segment

id
string
required
name
string
required
color
enum<string>
required

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral
contacts_count
number
required
created_at
string<date-time>
required
updated_at
string<date-time>
required